%define rversion 3.1.2

Name:     eigen3
Summary:  Lightweight C++ template library for vector and matrix math, a.k.a. linear algebra
Version:  3.1.2
Release:  %mkrel 4
Group:    System/Libraries
License:  LGPLv3+ or GPLv2+
URL:      http://eigen.tuxfamily.org/
Source:   http://eigen.tuxfamily.org/index.php?title=Main_Page/eigen-%{rversion}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{rversion}-%{release}-buildroot
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: ghostscript-common
BuildRequires: graphviz
#BuildRequires: tetex-dvips
#BuildRequires: tetex-latex
BuildRequires: %{_lib}blas-devel
BuildRequires: %{_lib}fftw-devel
BuildRequires: lapack-devel
BuildRequires: gsl-devel
BuildRequires: qt4-devel
BuildRequires: cholmod-devel
BuildRequires: umfpack-devel
BuildRequires: metis-devel
Obsoletes: %{_lib}eigen3-devel
Provides: %{_lib}eigen3-devel = %version-%release


%description 
Eigen is a lightweight C++ template library for vector and matrix
math, a.k.a. linear algebra.

%prep
%setup -q -n eigen-%{rversion}

%build
export CXXFLAGS="$CXXFLAGS -fpermissive"
export CFLAGS="$CFLAGS -fpermissive"
export CPPFLAGS="$CPPFLAGS -fpermissive"

%cmake 
#-DEIGEN_BUILD_TESTS=ON
%make

# docs
%make doc 

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%ifarch %{ix86}
mkdir -p %{buildroot}/%{_datadir}/pkgconfig
mv %{buildroot}/usr/include/pkgconfig/* %{buildroot}/%{_datadir}/pkgconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.* doc/*
%dir %{_includedir}/eigen3/
%{_includedir}/eigen3/*
%{_datadir}/pkgconfig/*.pc


%changelog
* Mon Aug 03 2015 bb <bb> 3.1.3-4pclos2015
- fix package build

* Thu Jun 25 2015 gseaman <galen.seaman at comcast.net> 3.1.2-3gseaman2015
- added supplemental dependencies

* Tue Jan 22 2013 pinoc <vogtpet at gmail.com> 3.1.2-2pclos2013
- removed obsoletes of previous versions
- add fftw-devel

* Wed Jan 09 2013 Ken <lxgator at gmail.com> 3.1.2-1pclos2013
- 3.1.2

* Sat Jun 25 2011 Texstar <textar at gmail.com> 2.0.16-1pclos2011
- update to real verson 2.0.16

* Wed Aug 06 2009 Texstar <texstar@gmail.com> 2.0.4-1pclos2009
+ Revision: 407496
- Update to new version 2.0.4

